Update many URLs of a sandbox
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: [{id: 'url_06d8k3m7q2v9x4b1n5c0e8f2jb', public: true}]})
};
fetch('https://vms.dev/api/v1/sandboxes/{id}/urls/update-many', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://vms.dev/api/v1/sandboxes/{id}/urls/update-many \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"id": "url_06d8k3m7q2v9x4b1n5c0e8f2jb",
"public": true
}
]
}
'import requests
url = "https://vms.dev/api/v1/sandboxes/{id}/urls/update-many"
payload = { "items": [
{
"id": "url_06d8k3m7q2v9x4b1n5c0e8f2jb",
"public": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"succeeded": 0,
"failed": 0,
"message": "<string>",
"data": [
{
"index": 0,
"id": "<string>",
"error": "<string>"
}
]
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}Sandboxes
Update many URLs of a sandbox
Changes up to 500 URLs of the sandbox in one request. Each item has the id of a URL and the fields of an update. The API returns a result for each item, in the sequence of the items. Needs the sandboxes:write scope.
POST
/
v1
/
sandboxes
/
{id}
/
urls
/
update-many
Update many URLs of a sandbox
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: [{id: 'url_06d8k3m7q2v9x4b1n5c0e8f2jb', public: true}]})
};
fetch('https://vms.dev/api/v1/sandboxes/{id}/urls/update-many', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://vms.dev/api/v1/sandboxes/{id}/urls/update-many \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"id": "url_06d8k3m7q2v9x4b1n5c0e8f2jb",
"public": true
}
]
}
'import requests
url = "https://vms.dev/api/v1/sandboxes/{id}/urls/update-many"
payload = { "items": [
{
"id": "url_06d8k3m7q2v9x4b1n5c0e8f2jb",
"public": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"succeeded": 0,
"failed": 0,
"message": "<string>",
"data": [
{
"index": 0,
"id": "<string>",
"error": "<string>"
}
]
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}Authorizations
Body
application/json